0

I have a Mac Pro running Snow Leopard. I tried upgrading to Mavericks, but the App Store won't let me download it. It directed me to this page. At first I thought it was because I was out of space (8GB required) so I deleted some things. Now I have 8.17GB available with 5GB of RAM (2GB minimum). The only thing I can think of is that my Mac Pro is arbitrarily too old. However, I don't know how to confirm that. I'm not even sure if there are any upgrade options available. What do I need to do?

1

It sounds like your Mac Pro is not supported (too old?) by a newer OS than 10.6.8.

Check by looking in the System Information app, to see what version of Mac Pro it is. Supported versions are "MacPro3,1" or greater. Unsupported versions are MacPro1,1 or MacPro2,1.

The reason why the older models are not supported is not arbitrary - it's because the first models had a 32-bit EFI, and the later ones have a 64-bit EFI. The later operating systems require a 64-bit EFI.

|improve this answer|||||
0

I have an old Mac Pro myself. It's an Early 2008 (aka a MacPro3,1). Please verify that your Mac meets this criteria or is newer than that.

You can check what model you have click on the Apple icon in the menubar (top-left on you screen) and click "About This Mac" > "More Info".

There select the Hardware tab (I think it's preselect) and check your Model Identifier. Also see this video tutorial.

You can use MacTracker to search for it and get the new name scheme with 'Model Name (Year)' out of it and compare it with the list of compatible model you linked to.

And, … if your Mac meets the minimum criteria, you could try freeing up some more space (maybe around 500 MB) to be on the save side. Then try again.

Basically if you got a MacPro1,1 (~August 2006) or MacPro2,1 (~April 2007) you're not officially supported and I would advice against trying to upgrade your Mac forcefully since compatibility issues would arise regularly. Anyway, if you still want to check out one of the tutorials you'll find when searching for "upgrade old mac to mavericks".

|improve this answer|||||

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .